-- Schema: C6Mart
-- Stored Procedure: DM_VAR_ADEGUATEZZA


-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE   procedure [C6Mart].[DM_VAR_ADEGUATEZZA]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;


	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_VAR_ADEGUATEZZA',
		GETDATE(),
		'Elaborazione giornaliera'
	)

truncate table C6Staging.VAR_ADEGUATEZZA

	insert into C6Staging.VAR_ADEGUATEZZA
	select RETE,CODICE_FISCALE,0.00 as VAR_COMPLESSIO_BF,'N' from C6Staging.VAR_ADEGUATEZZA_INDICATORI
	 
	 	 -- il VAR_COMPLESSIVO BF VERRA POI POPOLATA IN [C6Mart].[DM_RISCHIO_AGGREGATO]
		
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_VAR_ADEGUATEZZA' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_VAR_ADEGUATEZZA'
		)

END


